$packageName = 'jamovi.portable'
$url64 = 'https://www.jamovi.org/downloads/jamovi-0.7.5.1.zip'
$installDir = $(Split-Path -parent $MyInvocation.MyCommand.Definition)
$checksum64 = '4bf482282a19b88709164a433a86fad0adfccf7fdbfecf86051434b3618a79b1'
$checksumType64 = 'sha256'
Install-ChocolateyZipPackage -PackageName $packageName `
                             -UnzipLocation $installDir `
                             -Url64bit $url64 `
                             -Checksum64 $checksum64 `
                             -ChecksumType64 $checksumType64

$files = get-childitem $installDir -include *.exe -recurse

foreach ($file in $files) {
  if (!($file.Name.Contains("jamovi.exe"))) {
    #generate an ignore file
    New-Item "$file.ignore" -type file -force | Out-Null
  }
  else{
    New-Item "$file.gui" -type file -force | Out-Null
  }
}
